
QGIS Application - Bug report #8038

core dump on opening project

2013-06-11 01:43 AM - Gavin Fleming

Status: Closed

Priority: High

Assignee:

Category: Project Loading/Saving

Affected QGIS version:master Regression?: No

Operating System: ubuntu Easy fix?: No

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data:Yes Copied to github as #: 16881

Description

1.9.0-Master nightly build updated today:

gavin@afrispatial:~$ qgis

Warning: loading of qt translation failed [/usr/share/qt4/translations/qt_en_US]

Warning: void DBusMenuExporterPrivate::addAction(QAction*, int): Already tracking action "Add a Postgis Raster Layer" under id

282 

Fatal: QGIS died on signal 11

Stacktrace (piped through c++filt):

/usr/bin/qgis.bin(myMessageOutput(QtMsgType, char const*)+0xae)[0x4eb38e]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(qt_message_output(QtMsgType, char const*)+0x30)[0x7f73cce634d0]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(+0x71938)[0x7f73cce63938]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(qFatal(char const*, ...)+0x94)[0x7f73cce63ac4]

/lib/x86_64-linux-gnu/libc.so.6(+0x370b0)[0x7f73ca35e0b0]

/usr/lib/qgis/plugins/libwmsprovider.so(QgsWmsProvider::draw(QgsRectangle const&, int, int)+0xe6e)[0x7f739acc9c4e]

/usr/lib/qgis/plugins/libwmsprovider.so(QgsWmsProvider::readBlock(int, QgsRectangle const&, int, int,

void*)+0x32)[0x7f739aca38a2]

/usr/lib/libqgis_core.so.1.9.0(QgsRasterDataProvider::block(int, QgsRectangle const&, int, int)+0x888)[0x7f73ce0a28a8]

/usr/lib/libqgis_core.so.1.9.0(QgsSingleBandColorDataRenderer::block(int, QgsRectangle const&, int,

int)+0x5c)[0x7f73ce0d50ec]

/usr/lib/libqgis_core.so.1.9.0(QgsBrightnessContrastFilter::block(int, QgsRectangle const&, int, int)+0x60)[0x7f73ce0d8240]

/usr/lib/libqgis_core.so.1.9.0(QgsHueSaturationFilter::block(int, QgsRectangle const&, int, int)+0x62)[0x7f73ce0d9032]

/usr/lib/libqgis_core.so.1.9.0(QgsRasterResampleFilter::block(int, QgsRectangle const&, int, int)+0x2f1)[0x7f73ce0cbc11]

/usr/lib/libqgis_core.so.1.9.0(QgsRasterProjector::block(int, QgsRectangle const&, int, int)+0x55)[0x7f73ce0a8255]

/usr/lib/libqgis_core.so.1.9.0(QgsRasterIterator::readNextRasterPart(int, int&, int&, QgsRasterBlock**, int&,

int&)+0x1d1)[0x7f73ce0b0191]

/usr/lib/libqgis_core.so.1.9.0(QgsRasterDrawer::draw(QPainter*, QgsRasterViewPort*, QgsMapToPixel

const*)+0x9d)[0x7f73ce0c2dad]

/usr/lib/libqgis_core.so.1.9.0(QgsRasterLayer::draw(QPainter*, QgsRasterViewPort*, QgsMapToPixel

const*)+0x96)[0x7f73ce0b0ee6]

/usr/lib/libqgis_core.so.1.9.0(QgsRasterLayer::previewAsPixmap(QSize, QColor)+0x279)[0x7f73ce0b67d9]

/usr/bin/qgis.bin(QgsLegendLayer::getOriginalPixmap()+0x1ca)[0x75416a]

/usr/bin/qgis.bin(QgsLegendLayer::updateIcon()+0x1b)[0x7542eb]

/usr/bin/qgis.bin(QgsLegendLayer::QgsLegendLayer(QgsMapLayer*)+0x1c4)[0x754a64]

/usr/bin/qgis.bin(QgsLegend::addLayers(QList<QgsMapLayer*>)+0x3eb)[0x74764b]

/usr/bin/qgis.bin[0x7b808c]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(QMetaObject::activate(QObject*, QMetaObject const*, int,

void**)+0x2bf)[0x7f73ccf7f0ef]

/usr/lib/libqgis_core.so.1.9.0(QgsMapLayerRegistry::legendLayersAdded(QList<QgsMapLayer*>)+0x25)[0x7f73ce0e35f5]

/usr/lib/libqgis_core.so.1.9.0(QgsMapLayerRegistry::addMapLayers(QList<QgsMapLayer*>, bool,
bool)+0x341)[0x7f73cdf52611]

/usr/lib/libqgis_core.so.1.9.0(QgsProject::addLayer(QDomElement const&, QList<QDomNode>&,

QList<QPair<QgsVectorLayer*, QDomElement> >&)+0x38d)[0x7f73cdfaf55d]

/usr/lib/libqgis_core.so.1.9.0(QgsProject::_getMapLayers(QDomDocument const&)+0x572)[0x7f73cdfb1662]

/usr/lib/libqgis_core.so.1.9.0(QgsProject::read()+0x9d6)[0x7f73cdfb3d26]

/usr/lib/libqgis_core.so.1.9.0(QgsProject::read(QFileInfo const&)+0x3b)[0x7f73cdfb47ab]

/usr/bin/qgis.bin(QgisApp::addProject(QString)+0x117)[0x50e5d7]

/usr/bin/qgis.bin(QgisApp::openProject(QAction*)+0x144)[0x50f624]

/usr/bin/qgis.bin[0x7ac926]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(QMetaObject::activate(QObject*, QMetaObject const*, int,

void**)+0x2bf)[0x7f73ccf7f0ef]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(QMenu::triggered(QAction*)+0x32)[0x7f73cc7496c2]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(+0x605c4b)[0x7f73cc74ac4b]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(QMetaObject::activate(QObject*, QMetaObject const*, int,

void**)+0x2bf)[0x7f73ccf7f0ef]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(QAction::triggered(bool)+0x32)[0x7f73cc30a152]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(QAction::activate(QAction::ActionEvent)+0x70)[0x7f73cc30b580]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(QObject::event(QEvent*)+0x26e)[0x7f73ccf845be]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(QAction::event(QEvent*)+0x11)[0x7f73cc30b651]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(QApplicationPrivate::notify_helper(QObject*, QEvent*)+0xac)[0x7f73cc3108ec]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(QApplication::notify(QObject*, QEvent*)+0x13b)[0x7f73cc31325b]

/usr/lib/libqgis_core.so.1.9.0(QgsApplication::notify(QObject*, QEvent*)+0x73)[0x7f73cdeb8873]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(QCoreApplication::notifyInternal(QObject*, QEvent*)+0x8e)[0x7f73ccf6a63e]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(QCoreApplicationPrivate::sendPostedEvents(QObject*, int,

QThreadData*)+0x361)[0x7f73ccf6e171]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(+0x1a6e83)[0x7f73ccf98e83]

/lib/x86_64-linux-gnu/libglib-2.0.so.

/lib/x86_64-linux-gnu/libglib-2.0.so.0(+0x49248)[0x7f73c8

/lib/x86_64-linux-gnu/libglib-2.0.so.0(g_main_context_iteration+0x34)[0x7f73c8256304]

/usr/lib/x86_64-linu

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(+0x2711ae)[0x7f73cc3b61ae]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(_ZN10

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>)+0x138)[0x7f

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(QCoreApplication::exec()+0x86)[0x7f73ccf6ecf6]

/usr/bin/qgis.bin(main

/lib/x86_64-linux-gnu/libc.so.6(__libc_start_main+0xf5)[0x7f73ca348ea5]

/usr/bin/qgis.bin[0x4eb111]

Aborted (core dumped)

History

#1 - 2013-06-11 01:43 AM - Gavin Fleming

- Crashes QGIS or corrupts data changed from No to Yes

#2 - 2013-06-11 01:44 AM - Giovanni Manghi

- Status changed from Open to Feedback

any project or a specific one?

#3 - 2013-06-11 01:45 AM - Giovanni Manghi
- Priority changed from Normal to High

#4 - 2013-06-11 02:00 AM - Matthias Kuhn

Seems to be related to WMS provider. Can you please verify it only happens with WMS layers and possibly attach an affected project.

#5 - 2013-06-11 04:14 AM - Giovanni Manghi

Matthias Kuhn wrote:

Seems to be related to WMS provider. Can you please verify it only happens with WMS layers and possibly attach an affected project.

on the latest revision available on osgeo4w a project with wms layer is not affected. I cannot try the latest code on linux right now, the nightly build for

Ubuntu is 2/3 days late.

#6 - 2013-06-12 03:52 AM - Salvatore Larosa

- Priority changed from High to Severe/Regression

#7 - 2013-06-12 03:57 AM - Salvatore Larosa

- Priority changed from Severe/Regression to High

Giovanni Manghi wrote:

on the latest revision available on osgeo4w a project with wms layer is not affected. I cannot try the latest code on linux right now, the nightly build

for Ubuntu is 2/3 days late.

I did test under Linux and I cannot reproduce it !

(sorry for the priority changing, my mistake)

#8 - 2013-07-12 10:41 AM - Paolo Cavallini

- Category set to Project Loading/Saving

#9 - 2013-07-15 04:46 AM - Paolo Cavallini

- Resolution set to worksforme

- Status changed from Feedback to Closed

Lack of feedback for one month. Please reopen it after checking. Thanks.
